Name:           mate-themes
Version:        1.6.1
Release:        2%{?dist}
Summary:        MATE Desktop themes
License:        GPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz

BuildRequires:  icon-naming-utils
BuildRequires:  mate-common
BuildRequires:  mate-doc-utils
BuildRequires:  mate-icon-theme-devel
BuildRequires:  gtk2-devel
BuildRequires:  gdk-pixbuf2-devel


Requires:       mate-icon-theme
Requires:       gtk2-engines
Requires:       gtk-murrine-engine
# theme engine for BlackMATE and GreenLaguna
Requires:       adwaita-gtk3-theme

BuildArch:      noarch

%description
MATE Desktop themes


%prep
%setup -q

%build
%configure --enable-all-themes   \
           --enable-test-themes  \
           --enable-icon-mapping \
           --enable-test-themes
make %{?_smp_mflags} V=1


%install
make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'
%find_lang %{name}


%post
for icon_theme in \
  Fog Quid \
  ContrastHighLargePrint ContrastHighLargePrintInverse \
  ContrastHigh-SVG ;
do
  /bin/touch --no-create %{_datadir}/icons/${icon_theme} &> /dev/null || :
done

%postun
if [ $1 -eq 0 ]; then
for icon_theme in \
  Fog Quid \
  ContrastHighLargePrint ContrastHighLargePrintInverse \
  ContrastHigh-SVG ;
do
  /bin/touch --no-create %{_datadir}/icons/${icon_theme} &> /dev/null || :
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/${icon_theme} &> /dev/null || :
done
fi

%posttrans
for icon_theme in \
  Fog Quid \
  ContrastHighLargePrint ContrastHighLargePrintInverse \
  ContrastHigh-SVG ;
do
  /usr/bin/gtk-update-icon-cache %{_datadir}/icons/${icon_theme} &> /dev/null || :
done


%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_datadir}/themes/GreenLaguna/
%{_datadir}/themes/Menta/
%{_datadir}/themes/Menta-Black/
%{_datadir}/themes/BlackMATE/
%{_datadir}/themes/Fog/
%{_datadir}/themes/PrintLarge/
%{_datadir}/themes/Quid/
%{_datadir}/themes/Reverse/
%{_datadir}/themes/Shiny/
%{_datadir}/themes/Simply/
%{_datadir}/themes/TraditionalOk/
%{_datadir}/themes/TraditionalGreen/
%{_datadir}/themes/TraditionalOkTest/
%{_datadir}/themes/ContrastHighLargePrint/
%{_datadir}/themes/ContrastHighLargePrintInverse/
%{_datadir}/themes/ContrastLowLargePrint/
%{_datadir}/themes/ContrastLow/
%{_datadir}/themes/ContrastHigh/
%{_datadir}/themes/ContrastHighInverse/
%{_datadir}/icons/ContrastHigh/
%{_datadir}/icons/ContrastHighInverse/
%{_datadir}/icons/ContrastHighLargePrint/
%{_datadir}/icons/ContrastHighLargePrintInverse/
%{_datadir}/icons/ContrastHigh-SVG/
%{_datadir}/icons/Fog/
%{_datadir}/icons/MateLargePrint/
%{_datadir}/icons/Quid/
%{_datadir}/themes/AlaDelta/
%{_datadir}/themes/Atantla/
%{_datadir}/icons/mate/cursors/


%changelog
* Mon Jun 17 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-2
- fix GTK3 GreenLaguna menu background
- add runtime require adwaita-gtk3-theme

* Fri Jun 07 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.1-1
- Update to latest 1.6.1 stable release
- removal of aldabra theme, fix #907565

* Wed Apr 03 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.0-1
- Update to latest 1.6.0 stable release.

* Tue Mar 26 2013 Dan Mashal <dan.mashal@fedoraproject.org> 1.5.1-1
- Update to latest upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 08 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-1
- update to 1.5.0 release

* Sat Oct 20 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-7
- add requires gtk2-engines and mate-icon-theme 

* Tue Oct 16 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-6
- fix mistake in scriptlets from last commit

* Tue Oct 16 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-5
- Fix scriplets
- add requires gtk-murrine-engine

* Sun Oct 14 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-4
- Update BR and add test themes

* Wed Oct 03 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-3
- Fix missing icon scriptlets

* Sun Sep 30 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Update br and post scriptlets as per package review

* Tue Sep 25 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
- Initial build
